<?
#######################################
##    ПИТОМЦЫ ДЛЯ БТ/VERSION 1.0     ##
##         Спасибо за покупку        ##
##  Модуль был написан by TJcompany  ##
##         Исполнитель: TJersy       ##
##         Дата: 21.03.2015          ##
##  Любое распространение запрещено  ##
## Карается блокировкой вашего WMID  ##
##         Уважайте чужой труд.      ##
#######################################

include '../system/common.php';
include '../system/functions.php';
include '../system/user.php';
if(!isset($user)) header('location: /');
$title='Покупка питомца';
include '../system/h.php';
  

  ################
    function error($msg) { // Вывод message
	echo '<div class="msg"> '.$msg.' </div>';
    }
  ################
 
if(isset($_POST['buy']) && isset($_POST['pets_id'])){
$pets = mysql_fetch_array(mysql_query("SELECT * FROM `pets_tj` WHERE `id` = '".abs(intval($_POST['pets_id']))."'")); 
if(mysql_result(mysql_query("SELECT * FROM `user_pets` WHERE `id_user` =  '$user[id]' "),0) == true) error('У вас уже есть питомец!');
elseif($user['s'] < $pets['s']) error('Недостаточно серебра для покупки питомца');
elseif($user['g'] < $pets['g']) error('Недостаточно золота для покупки питомца');
else{ 

mysql_query("INSERT INTO `user_pets` SET 
`id_user` = '$user[id]', 
`id_pets` = '".intval($_POST['pets_id'])."', 
`name` = '$pets[name]',
`str` = '$pets[str]',
`vit` = '$pets[vit]',
`agi` = '$pets[agi]',
`def` = '$pets[def]',
`img` = '$pets[img]',
`arena_battle` = '10'") or die(mysql_error());

mysql_query("UPDATE `users` SET 
`g` = `g` - '$pets[g]', 
`s` =  `s` - '$pets[s]',
`str` = `str` + '$pets[str]',
`vit` = `vit` + '$pets[vit]',
`agi` = `agi` + '$pets[agi]',
`def` = `def` + '$pets[def]'
 WHERE `id` = '$user[id]'") or die(mysql_error()); 

header('Location: /user'); 
} 
} 

$pets  = mysql_query("SELECT * FROM `pets_tj` ORDER BY `id` DESC"); 
echo '<div class="title">'.$title.'</div>';
echo '<div class="content">';
echo '<center><img src="/images/pets/icon/2.png" alt=""/> 
 Питомец - неотъемлемая часть настоящего титана <br/>
 Питомец прослужит тебе верой и правдой.</center><br/> 
 <center><b>Преимущества питомца:</b></center><br/> 
 1. Каждый день вам будет выпадать бонусные <img src="/images/icon/gold.png" alt=""/> и <img src="/images/icon/silver.png" alt=""/>
 <br/>2. Прибавление стат к титану в зависимости от прокачки питомца <br/>
 3. Специальная <b>Арена</b> питомцев  
 </div>';
 echo '<div class="title">Доступные питомцы:</div><div class="content">';

echo "<table cellpadding='0'  cellspacing='0'>";
 while($TJ = mysql_fetch_array($pets)){
	 echo "<tr>
<td valign='top'><img src='$TJ[img]' alt=''/></td>
<td valign='top' style='padding:0px 0px 0px 5px;'>
$TJ[name]<br/>
<span style='color:#6f6f6f;'><small>Цена: ".($TJ['g'] == 0 ?"" : "$TJ[g] <img src='/images/icon/gold.png' alt=''/>")." ".($TJ['s'] == 0 ?"" : "$TJ[s] <img src='/images/icon/silver.png' alt=''/>")."</small><br/>
<span style='color:#6f6f6f;'><small> Статы: <img src='/images/icon/str.png' alt='*'/> $TJ[str]  <img src='/images/icon/vit.png' alt='*'/> $TJ[vit] <img src='/images/icon/agi.png' alt='*'/> $TJ[agi] <img src='/images/icon/def.png' alt='*'/> $TJ[def]
<br/>
<form action='' method='POST'>
<input type='hidden' name='pets_id' value='$TJ[id]' />
<input type='submit' name='buy' value='Приобрести'></form><br/>

</span><br/><br/></td></tr>";
 }
echo '</table></div>';
  
  
  
  
include '../system/f.php';
  
?>